% Übung 1

clear all
close all

Wetter = readtable('UE01_Daten.xlsx','Sheet','Wetter');

% (b)

D = Wetter.Variables;  % alle Spalten 
D = D(:,2:end);        % Spalten ohne Jahre

% Werte berechnen
Mittelwert = mean(D)'; % transponieren, da wir für table Spalten brauchen
Median = median(D)';
Varianz = var(D)';
Standardabweichung = std(D)';

% die Zeilennamen als Spalte
Namen = {'Temperatur';'Niederschlag';'Sonnenschein'};

% Ausgabe der Tabelle
table(Namen,Mittelwert,Median,Varianz,Standardabweichung)


% (c) Säulendiagramm

T = D(:,1);  % Temperatur
N = D(:,2);  % Niederschlag
S = D(:,3);  % Sonnenschein

% Temperatur
nexttile
K = 6:0.5:12;
histogram(T,K)
xlabel('Temperatur [°C]')
ylabel('Häufigkeit')
grid on

% Niederschlag
nexttile
K = 600:50:1200;
histogram(N,K)
xlabel('Niederschlag [mm]')
ylabel('Häufigkeit')
grid on

% Sonnenschein
nexttile
K = 1600:50:2200;
histogram(S,K)
xlabel('Sonnenschein [mm]')
ylabel('Häufigkeit')
grid on

% (d) Histogramm

figure

% Temperatur
nexttile
K = 6:0.5:12;
histogram(T,K,'Normalization','pdf')
xlabel('Temperatur [°C]')
grid on

% Niederschlag
nexttile
K = 600:50:1200;
histogram(N,K,'Normalization','pdf')
xlabel('Niederschlag [mm]')
grid on

% Sonnenschein
nexttile
K = 1600:50:2200;
histogram(S,K,'Normalization','pdf')
xlabel('Sonnenschein [mm]')
grid on


% (d)  Boxplot

figure

% Temperatur
subplot(1,3,1)
boxplot(T)
ylabel('Temperatur [°C]')
grid on

% Niederschlag
subplot(1,3,2)
boxplot(N)
ylabel('Niederschlag [mm]')
grid on

% Sonnenschein
subplot(1,3,3)
boxplot(S)
ylabel('Sonnenschein [mm]')
grid on



