% Übung 6

clear all
close all

Studenten = readtable('UE01_Daten.xlsx','Sheet','Studenten');
G = Studenten.Gewicht;
mu = mean(G); sigma = std(G);
K = 50:5:140;
histogram(G,K,'Normalization','pdf')
hold on, t = linspace(40,150,200);
plot(t,pdf('Normal',t,mu,sigma)), grid on
xlabel('Gewicht'), ylabel('rel. Häufigkeit (flächentreu)')
title('Aufgabe (6a)')
mu 
sigma

% (a)
fprintf('(a) Wahrscheinlichkeit, 100kg zu überschreiten = %f\n',...
    1-cdf('Normal',100,mu,sigma));

% (b)
fprintf('(b) Wahrscheinlichkeit, dass 20 Studierende 1500kg überschreiten = %f\n',...
    1-cdf('Normal',1500,20*mu,sqrt(20)*sigma));

% (c)
figure
N  = 1000;
alpha = 1/7;
a = (1:N)*alpha-floor((1:N)*alpha);
K = 0:0.05:1;
nexttile
histogram(a,K,'Normalization','pdf')
title('Aufgabe (6c) $\alpha=1/7$','interpreter','latex')

alpha = sqrt(3);
a = (1:N)*alpha-floor((1:N)*alpha);
K = 0:0.05:1;
nexttile
histogram(a,K,'Normalization','pdf')
title('Aufgabe (6c) $\alpha=\sqrt{3}$','interpreter','latex')

% (d)

rng(0)

figure
N = 1000;
X = random('Uniform',1,3,N,1);
Y = random('Uniform',1,3,N,1);
Z = random('Uniform',1,3,N,1);
V = X.*Y-X.*Z.^2;
K = linspace(min(V),max(V),30);
histogram(V,K,'Normalization','pdf')
title('Aufgabe (6d)')

% (e)

% 1000 Simulationen
N = 1000;
% Zähler
c = 0;
for k=1:N
    % 20 Studierende aus den 70 ziehen
    I = randsample(1:70,20);
    % falls das Gesamtgewicht dieser 20 > 1500 -> zählen
    if (sum(G(I))>1500)
        c = c+1;
    end
end

% Näherung an die Wahrscheinlichkeit
fprintf('(e) Wahrscheinlichkeit, dass 20 Studierende 1500kg überschreiten = %f\n',c/N);
